Skip to main content
POST
/
v1
/
channel
/
order
/
refund
/
processing-result
Refund Processing Result
curl --request POST \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/order/refund/processing-result \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "refundId": "<string>",
  "sellerId": "4711",
  "isAccepted": true,
  "processingErrorList": [
    {
      "message": "<string>",
      "code": "GEN615"
    }
  ]
}
'
{
  "errorList": [
    {
      "code": "VAL100",
      "message": "Required field sellerId not found",
      "severity": "error",
      "hint": "Check the field `sellerId` — it must be a non-empty string."
    }
  ]
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Body

application/json

Result of the channel-side processing of a refund request (accepted, rejected, amount).

refundId
string
required

Seller created unique Id to identify the processing Result of a Refund processing from a Channel.

Required string length: 1 - 128
sellerId
string
required

A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.

Pattern: ^\w{1,50}$
Example:

"4711"

isAccepted
boolean
required
processingErrorList
RefundProcessingError · object[]
Maximum array length: 500

Response

Refund processing result receied